account_tx
POST
Returns the list of validated transactions that involve an account.You can narrow the search by specifying a ledger index range, and paginate with
marker.param[0]
parametersobjectrequired
accountstringrequired
The account to look up.ledger_index_mininteger
The ledger index to start searching from. Pass -1 to search from the oldest ledger version the server holds.ledger_index_maxinteger
The ledger index to stop searching at. Pass -1 to search up to the newest ledger version the server holds.ledger_hashstring
The hash of the ledger version to use. Pass a 32-byte hex string.ledger_indexoneOf
Specifies the ledger version to use. Pass a ledger index as an integer, or use one of the shortcut strings below.validated: Uses the most recent ledger version validated by the network.closed: Uses the most recent ledger version the server has closed. It may not be validated.current: Uses the in-progress ledger version the server is currently building.
binaryboolean
Whether to return the transaction and its metadata as hex strings.forwardboolean
Whether to return the oldest transactions first.limitinteger
The number of transactions to return.markerstring
A value that marks a pagination position. Pass the marker value from a previous response to retrieve the next page.Its format depends on the server implementation, so use it verbatim without interpreting its contents.tx_typestring
The transaction type to return. It is case-insensitive.This parameter is supported only by Clio servers.Responses
accountstring
The account the request was made from the perspective of.ledger_index_mininteger
The oldest ledger index actually searched.ledger_index_maxinteger
The most recent ledger index actually searched.limitinteger
The limit value used in the request.markerstring
A value that marks a pagination position. Pass the marker value from a previous response to retrieve the next page.Its format depends on the server implementation, so use it verbatim without interpreting its contents.The list of transactions that matched the query.
close_time_isostring
The time the ledger containing the transaction closed, in ISO 8601 format.hashstring
The unique hash that identifies the transaction.ledger_hashstring
The hash of the ledger containing the transaction.ledger_indexinteger
The ledger index of the ledger containing the transaction.tx_jsonobject
The transaction data. Returned when binary is false.tx_blobstring
The transaction, hex-encoded. Returned when binary is true.metaobject
The metadata describing the results of the transaction. Returned when binary is false.meta_blobstring
The metadata, hex-encoded. Returned when binary is true.validatedboolean
Whether the transaction is included in a validated ledger version.validatedboolean
Whether the response was derived from a validated ledger version.codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Unauthorized"}
cURL
curl -X POST 'https://xrpl-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"method": "account_tx","params": [{"account": "r9cZA1mLK5R5Am25ArfXFmqgNwjZgnfk59","ledger_index_min": -1,"ledger_index_max": -1,"binary": false,"forward": false,"limit": 10,"tx_type": "Payment"}]}'